一句代码禁用WordPress 5.0 Gutenberg(古腾堡) 编辑器

avatar 2018年12月7日20:14:55 2 661 阅读

WordPress 5.0正式版发布以后,新的Gutenberg(古腾堡) 编辑器给众多用户带来困惑,很简单的文字编辑操作,变得繁琐复杂,虽然用户对这个编辑器意见很大,但WP开发团队强推也没有办法。

一句代码禁用WordPress 5.0 Gutenberg(古腾堡) 编辑器

可以通过安装Classic Editor或者Disable Gutenberg插件,切换回经典的编辑器。

其实之前经典的Classic Editor编辑器代码,在WordPress 5.0并没有被删除,上述插件也只是个切换开关而已。

关键代码就一句:

add_filter('use_block_editor_for_post', '__return_false');

 

将代码添加到当前主题函数模板functions.php中即可,根本不需要那些插件。

当然你想有更多的选择性,可以安装上述插件。

Classic Editor编辑器代码据WP官方称会延续集成到2021年才会从程序中彻底删除,但大家也不用担心,到时会有全套的Classic Editor编辑器插件让你选择。

 

avatar

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

目前评论:2   其中:访客  2   博主  0

    • avatar 1231321 6

      测试一下